#!/bin/bash

########################################################
# Serveurs

declare -A ip
ip[web0]=10.16.10.80
ip[web1]=10.16.133.81
ip[dns]=10.16.10.2

for s in ${!ip[@]};
do
    echo "Lancement de la VM $s" 
    echo "     ==> logs dans $s.log" 
    ./demarreVM.sh $s 2>&1 > $s.log &
done

echo "\nAttente du démarrage ..."
sleep 90

for s in ${!ip[@]};
do
    echo "Manually setting ip: ${ip[$s]}"
    cd $s
    vagrant ssh -c "sudo ip a add ${ip[$s]}/12 dev eth1"
    cd ..
done


ip[rpf]=10.16.10.1
echo "Lancement de la VM rpf" 
echo "     ==> logs dans rpf.log" 
./demarreVM.sh rpf 2>&1 > rpf.log &
echo "Manually setting ip of routeur/parefeu"
cd rpf
echo "externe"
vagrant ssh -c "sudo ip a add 10.128.10.254/12 dev eth1"
echo "interne"
vagrant ssh -c "sudo ip a add 10.16.10.1/12 dev eth2"
cd ..

echo "Système démarré"
tail -n 7 dns.log web*.log 




